
From: Adrian Bunk <bunk@stusta.de>

This patch removes prototypes for the generic_file_open and
generic_file_llseek functions.

Besides being superfluous because they are already present in fs.h, they
were also wrong because the actual functions aren't weak functions.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/jffs/inode-v23.c |    3 ---
 fs/jffs2/file.c     |    3 ---
 2 files changed, 6 deletions(-)

diff -puN fs/jffs2/file.c~jffs-jffs2-remove-wrong-function-prototypes fs/jffs2/file.c
--- devel/fs/jffs2/file.c~jffs-jffs2-remove-wrong-function-prototypes	2005-08-08 22:18:52.000000000 -0700
+++ devel-akpm/fs/jffs2/file.c	2005-08-08 22:18:52.000000000 -0700
@@ -21,9 +21,6 @@
 #include <linux/jffs2.h>
 #include "nodelist.h"
 
-extern int generic_file_open(struct inode *, struct file *) __attribute__((weak));
-extern loff_t generic_file_llseek(struct file *file, loff_t offset, int origin) __attribute__((weak));
-
 static int jffs2_commit_write (struct file *filp, struct page *pg,
 			       unsigned start, unsigned end);
 static int jffs2_prepare_write (struct file *filp, struct page *pg,
diff -puN fs/jffs/inode-v23.c~jffs-jffs2-remove-wrong-function-prototypes fs/jffs/inode-v23.c
--- devel/fs/jffs/inode-v23.c~jffs-jffs2-remove-wrong-function-prototypes	2005-08-08 22:18:52.000000000 -0700
+++ devel-akpm/fs/jffs/inode-v23.c	2005-08-08 22:18:52.000000000 -0700
@@ -1629,9 +1629,6 @@ static int jffs_fsync(struct file *f, st
 }
 
 
-extern int generic_file_open(struct inode *, struct file *) __attribute__((weak));
-extern loff_t generic_file_llseek(struct file *, loff_t, int) __attribute__((weak));
-
 static struct file_operations jffs_file_operations =
 {
 	.open		= generic_file_open,
_
